<?php

namespace WpieFw\Framework\Patterns\Resolver;

use WpieFw\Framework\Patterns\Resolver\WpieResolverFactoryInterface;

if( ! defined( 'ABSPATH' ) ) exit;

abstract class WpieResolverFactory implements WpieResolverFactoryInterface
{
	protected $type;

	protected function __construct( $type = null )
	{
		$this->type = $type;
	}
}